Skip to content
Tauri
Releases

Updating Dependencies

If you are using the tauri package:

Terminal window
npm install @tauri-apps/cli@latest @tauri-apps/api@latest

You can also detect what the latest version of Tauri is on the command line, using:

Terminal window
npm outdated @tauri-apps/cli

Alternatively, if you are using the vue-cli-plugin-tauri approach:

Terminal window
npm install vue-cli-plugin-tauri@latest

You can check for outdated packages with cargo outdated or on the crates.io pages: tauri / tauri-build.

Go to src-tauri/Cargo.toml and change tauri and tauri-build to

[build-dependencies]
tauri-build = "%version%"
[dependencies]
tauri = { version = "%version%" }

where %version% is the corresponding version number from above.

Then do the following:

Terminal window
cd src-tauri
cargo update

Alternatively, you can run the cargo upgrade command provided by cargo-edit which does all of this automatically.


© 2024 Tauri Contributors. CC-BY / MIT